用户注册



邮箱:

密码:

用户登录


邮箱:

密码:
记住登录一个月忘记密码?

发表随想


还能输入:200字
云代码 - c#代码库

旋转一个柱子

2013-12-21 作者: asp举报

[c#]代码库

Autodesk.Revit.DB.Location columnLocation = familyComponent.Location;
 // get the location object
 Autodesk.Revit.DB.LocationPoint pointLocation = columnLocation as Autodesk.Revit.DB.LocationPoint;
 Autodesk.Revit.DB.XYZ insertPoint = pointLocation.Point;
 // get the location point
 double temp = pointLocation.Rotation;
 //existing rotation
 XYZ directionPoint = m_doc.Document.Application.Create.NewXYZ(0, 0, 1);
 // define the vector of axis
 Autodesk.Revit.DB.Line rotateAxis = m_doc.Document.Application.Create.NewLineUnbound(insertPoint, directionPoint);
 double rotateDegree = m_receiveRotationTextBox * Math.PI / 180;
 // rotate column by rotate method
 if (m_isAbsoluteChecked)
 {
     rotateDegree -= temp;
 }
 bool rotateResult = pointLocation.Rotate(rotateAxis, rotateDegree);
 if (rotateResult == false)
 {
     MessageBox.Show("Rotate Failed.");
 }


网友评论    (发表评论)


发表评论:

评论须知:

  • 1、评论每次加2分,每天上限为30;
  • 2、请文明用语,共同创建干净的技术交流环境;
  • 3、若被发现提交非法信息,评论将会被删除,并且给予扣分处理,严重者给予封号处理;
  • 4、请勿发布广告信息或其他无关评论,否则将会删除评论并扣分,严重者给予封号处理。


扫码下载

加载中,请稍后...

输入口令后可复制整站源码

加载中,请稍后...